Subject: RE: [Simple] draft-ietf-simple-publish-reqs-00

From: [email-masked]
Date: Thu, 20 Feb 2003 15:00:34 +0200

Jon et al,

I certainly welcome this document, especially section 3. Please find some comments first concerning the actual requirements:

- REQ12 and REQ14 define the need for unique identifiers of segments. I would prefer to see further clarifications related to these requirements concerning the issue which entity (PUA or compositor) assigns the identifiers and based on what. Even if it seems to be obvious that in case of carrying PIDF in the PUBLISH request, the invention of tuple ids is the PUA's responsibility. Having unique segment/tuple ids inside the presentity is the key to detect collisions from multiple PUAs. Related to the collision situation, I have a further comment:

- Assuming publishing partial or incremental presence information (as written in REQ10), there is also a need for the PUA to indicate whether it wants to overwrite existing segment or only add additional attributes to it. Based on this indication from the PUA, the compositor could decide to extend or replace the old segment with the newly published one, or reject the publication.

- REQ14 states that a PUA must be able to query the identifiers of all of the segments. Assuming the above described segment extension functionality, there would be also a need to query the actual content of the segments, so that the PUA could decide   which operation (segment extension or segment overwrite) to perform.

- Concerning partial publication (REQ10), there is also a need for the PUA to explicitly indicate if it intends to remove a certain segment from the presence information.

- REQ6 defines the need to order publishing sequences. Isn't there also a need for unique identification of PUAs?

Concerning section 1, some synchronization would be needed with section 3, as e.g. section 1 states that:
"each publication carries full state, and does not depend on previous states for the particular PUA.  A PUA does not need to know whether or not other PUAs are also publishing presence information to the compositor"

while section 3 states:
"there should also be a way for PUAs to send partial or incremental presence information" (REQ10); "The publication mechanism must support a means for a presence compositor to compose presence information received from multiple PUAs at different times into a single presence document." (REQ8)

Regards,
Krisztian

> -----Original Message-----
> From: ext Peterson, Jon [mailto:[email-masked]]
> Sent: Tuesday, February 11, 2003 10:31 PM
> To: Simpletons (E-mail)
> Subject: [Simple] draft-ietf-simple-publish-reqs-00
> 
> 
> 
> Aki is quite right that having these conversations about 
> PUBLISH in the
> absence of requirements is wrong-headed.
> 
> The authors of the PUBLISH proposal have fielded out some of 
> the sections
> relevant to framework, and added some requirements language, to the
> following separate draft. The requirements in this draft were 
> also informed
> by recent email list discussion. Until it appears in the repository:
> 
> http://www.unreason.com/jfp/ietf/draft-ietf-simple-publish-req
s-00.html

Comments welcome.

Jon Peterson
Neustar, Inc.
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple